> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status of data export

> Get the status of a data export.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /data_exports/{data_export_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /data_exports/{data_export_token}:
    get:
      tags:
        - DataExports
      summary: Get status of data export
      description: Get the status of a data export.
      operationId: getDataExport
      parameters:
        - name: data_export_token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Returns the completed data export and its manifest. If it is still
            pending, the response will be a 202 and the caller should check the
            Location and Retry-After headers to determine where and how long to
            wait before polling again.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataExport'
              example:
                token: dta_xprt_964b2adb9bff37fb
                status: completed
                created_at: '2025-03-27T20:46:31Z'
                export_type: cost_report
                manifest:
                  files:
                    - https://example.com/file1.csv
                  completed_at: '2025-03-27T20:46:31Z'
                  valid_until: '2025-03-28T20:46:31Z'
                attributes:
                  report_token: null
                  start_date: null
                  end_date: null
                  groupings: []
                  vql: null
                  settings: null
                  date_bin: null
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '402':
          description: PaymentRequired
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - read
components:
  schemas:
    DataExport:
      required:
        - attributes
        - created_at
        - export_type
        - manifest
        - status
        - token
      type: object
      properties:
        token:
          type: string
          nullable: false
          example: dta_xprt_abcd1234567890
        status:
          type: string
          nullable: false
          example: pending
        created_at:
          type: string
          nullable: false
          example: '2025-03-20T12:00:00Z'
        export_type:
          type: string
          nullable: false
          example: cost_report
        manifest:
          $ref: '#/components/schemas/DataExportManifest'
        attributes:
          type: object
          properties: {}
          nullable: false
      description: DataExport model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    DataExportManifest:
      required:
        - completed_at
        - files
        - valid_until
      type: object
      properties:
        files:
          type: array
          nullable: false
          items:
            type: string
            example: ''
        completed_at:
          type: string
          nullable: true
          example: '2025-03-20T12:00:00Z'
        valid_until:
          type: string
          nullable: true
          example: '2025-03-20T12:00:00Z'
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````